/*
 *  TOPPERS/JSP Kernel
 *      Toyohashi Open Platform for Embedded Real-Time Systems/
 *      Just Standard Profile Kernel
 * 
 *  Copyright (C) 2000-2002 by Embedded and Real-Time Systems Laboratory
 *                              Toyohashi Univ. of Technology, JAPAN
 *  Copyright (C) 2000-2004 by Platform Development Center
 *                               RIOCH COMPANY,LTD. JAPAN
 * 
 *  L쌠҂́CFree Software Foundation ɂČ\Ă 
 *  GNU General Public License  Version 2 ɋLqĂC
 *  (1)`(4)̏𖞂ꍇɌC{\tgEFAi{\tgEF
 *  Aς̂܂ށDȉjgpEEρEĔzziȉC
 *  pƌĂԁj邱Ƃ𖳏ŋD
 *  (1) {\tgEFA\[XR[ȟ`ŗpꍇɂ́CL̒
 *      \C̗pщL̖ۏ؋K肪Ĉ܂܂̌`Ń\[
 *      XR[hɊ܂܂Ă邱ƁD
 *  (2) {\tgEFAėp\ȃoCiR[hiP[^uIu
 *      WFNgt@C⃉CuȂǁǰ`ŗpꍇɂ́Cp
 *      ɔhLgip҃}jAȂǁjɁCL̒쌠\C
 *      ̗pщL̖ۏ؋Kfڂ邱ƁD
 *  (3) {\tgEFAėps\ȃoCiR[ȟ`܂͋@ɑg
 *      ݍ񂾌`ŗpꍇɂ́Ĉꂩ̏𖞂ƁD
 *    (a) pɔhLgip҃}jAȂǁjɁCL̒
 *        \C̗pщL̖ۏ؋Kfڂ邱ƁD
 *    (b) p̌`ԂCʂɒ߂@ɂāCL쌠҂ɕ񍐂
 *        ƁD
 *  (4) {\tgEFA̗pɂ蒼ړI܂͊ԐړIɐ邢Ȃ鑹
 *      QCL쌠҂Ɛӂ邱ƁD
 * 
 *  {\tgEFÁCۏ؂Œ񋟂Ă̂łDL쌠҂́C
 *  {\tgEFAɊւāC̓Kp\܂߂āCȂۏ؂s
 *  ȂD܂C{\tgEFA̗pɂ蒼ړI܂͊ԐړIɐ
 *  Ȃ鑹QɊւĂC̐ӔC𕉂ȂD
 * 
 *  @(#) $Id: soze.h,v 1.0 2004/03/15 13:07:24 ken Exp $
 */

/* 
 *  j^[eXgpTvvÕwb_t@C
 */
#include <t_services.h>

#define TEX_LOOP	500000		/* O[`ł̃[v */


/*
 *  ^XNDx̐ݒ
 */
#define DEFAULT_MAIN_PRIORITY  8
#define DEFAULT_TIMER_PRIORITY 7
#define DEVICE_PRIORITY        3

/*
 *  ^[QbgɈˑ\̂萔̒`
 *  X^bNTCY
 */

#ifdef STACK_SIZE
#undef STACK_SIZE
#endif /* STACK_SIZE */
#define	STACK_SIZE			386		/* ^XÑX^bNTCY(gbvEJvZQ) */

/*
 *  EVT_FLGID̃rbg`
 */
#define	EVT_CMD				0x01	/* IrR}h */
#define	EVT_SNS				0x02	/* ZT[R}h */

#define	EVT_SOZE			(EVT_CMD|EVT_SNS)

/*
 *  LED̕\
 */
#define	STATE_LED_OFF		0		/*  */
#define	STATE_LED_ON		1		/* _ */
#define	STATE_LED_BLINK		2		/* _ŏ */

/*
 *  SOZE^XÑC^[o^C
 */
#define	INV_TIM				50		/* 50ms */

/*
 * Onh̐ݒ
 */
#define	INT_IRG		64				/* CM[݃nhԍ */
#define EXC_IRG		64				/* CM[Onhԍ */

/*
 *  ֐̃vg^Cv錾
 */
#ifndef _MACRO_ONLY

extern void	entry_task(VP_INT exinf);
extern void	timer_task(VP_INT exinf);
extern void device_task(VP_INT exinf);
extern void	timer_handler2(void);

#endif /* _MACRO_ONLY */
