/*****************************************************************************
 * File:       PIO_bridge.h
 *
 * Description:
 *
 * External Entity: 'foCX'  (D)
 *
 *  Copyright (C) 2000-2004 by Platform Development Center
 *                               RIOCH COMPANY,LTD. JAPAN
 *
 ****************************************************************************/

#ifndef PIO_BRIDGE_H
#define PIO_BRIDGE_H

#ifdef	__cplusplus
extern "C" {
#endif

#include "sys_mechs.h"
#include "sys_types.h"

/*****************************************************************************
 * Bridge:  pomp
 ****************************************************************************/
extern void PIO_pomp(
    const bool ee_on );

/*****************************************************************************
 * Bridge:  led
 ****************************************************************************/
extern void PIO_lamp(
    const int ee_id,
    const int ee_set );


#ifdef	__cplusplus
}
#endif

#endif  /* PIO_BRIDGE_H */

