/*
 *  TOPPERS/JSP Kernel
 *      Toyohashi Open Platform for Embedded Real-Time Systems/
 *      Just Standard Profile Kernel
 * 
 *  Copyright (C) 2000-2002 by Embedded and Real-Time Systems Laboratory
 *                              Toyohashi Univ. of Technology, JAPAN
 *  Copyright (C) 2000-2004 by Platform Development Center
 *                               RIOCH COMPANY,LTD. JAPAN
 * 
 *  L쌠҂́CFree Software Foundation ɂČ\Ă 
 *  GNU General Public License  Version 2 ɋLqĂC
 *  (1)`(4)̏𖞂ꍇɌC{\tgEFAi{\tgEF
 *  Aς̂܂ށDȉjgpEEρEĔzziȉC
 *  pƌĂԁj邱Ƃ𖳏ŋD
 *  (1) {\tgEFA\[XR[ȟ`ŗpꍇɂ́CL̒
 *      \C̗pщL̖ۏ؋K肪Ĉ܂܂̌`Ń\[
 *      XR[hɊ܂܂Ă邱ƁD
 *  (2) {\tgEFAėp\ȃoCiR[hiP[^uIu
 *      WFNgt@C⃉CuȂǁǰ`ŗpꍇɂ́Cp
 *      ɔhLgip҃}jAȂǁjɁCL̒쌠\C
 *      ̗pщL̖ۏ؋Kfڂ邱ƁD
 *  (3) {\tgEFAėps\ȃoCiR[ȟ`܂͋@ɑg
 *      ݍ񂾌`ŗpꍇɂ́Ĉꂩ̏𖞂ƁD
 *    (a) pɔhLgip҃}jAȂǁjɁCL̒
 *        \C̗pщL̖ۏ؋Kfڂ邱ƁD
 *    (b) p̌`ԂCʂɒ߂@ɂāCL쌠҂ɕ񍐂
 *        ƁD
 *  (4) {\tgEFA̗pɂ蒼ړI܂͊ԐړIɐ邢Ȃ鑹
 *      QCL쌠҂Ɛӂ邱ƁD
 * 
 *  {\tgEFÁCۏ؂Œ񋟂Ă̂łDL쌠҂́C
 *  {\tgEFAɊւāC̓Kp\܂߂āCȂۏ؂s
 *  ȂD܂C{\tgEFA̗pɂ蒼ړI܂͊ԐړIɐ
 *  Ȃ鑹QɊւĂC̐ӔC𕉂ȂD
 * 
 *  @(#) $Id: port.h,v 1.0 2004/03/26 14:14:24 ken Exp $
 */

#ifndef DEVICE_PORT_H
#define DEVICE_PORT_H

#ifdef	__cplusplus
extern "C" {
#endif

/*======================================================================
 *  ̓|[g̒`
======================================================================*/
#define	SW4			0x02		/* XCb`P̃rbg` */
#define	SW5			0x01		/* XCb`Q̃rbg` */
#define	IR1			0x08		/* Ir1̃rbg` */
#define	SS1			0x20		/* ZT[P̒` */

/*======================================================================
 *  LED̒`
======================================================================*/
#define	LED2		0			/* LED1ID` */
#define	LED3		1			/* LED2ID` */

/*======================================================================
 *  ̓|[gԒ`+
======================================================================*/
#define	OFF			0			/* It */
#define	ON			1			/* I */
#define BLINK		2			/* LED_  */

/*======================================================================
 *  vg^Cv錾
========================================================================*/
extern void set_led( int led, int req );
extern void setup_led(int led, int req );
extern void blink_led( void );
extern void set_motor( int id, int level );
extern int sync_sense( void );
extern int get_port( int id );
extern int sense_port( int id );
extern void initial_port( void );

#ifdef	__cplusplus
}
#endif

#endif  /* DEVICE_PORT_H */

