/*****************************************************************************
 * File:       D_bridge.c
 *
 * Description:
 *
 * External Entity: 'foCX'  (D)
 *
 *  Copyright (C) 2000-2004 by Platform Development Center
 *                               RIOCH COMPANY,LTD. JAPAN
 *
 ****************************************************************************/


#include "sys_mechs.h"
#include "SOZE_objects.h"
#include "sys_types.h"
#include "SOZE_S_B_object.h"
#include "SOZE_S_B_events.h"

#include "PIO_bridge.h"
#include "port.h"

/*****************************************************************************
 * Bridge:  pomp
 ****************************************************************************/
void PIO_pomp( const bool ee_on )
{
	set_motor( 0, (int)ee_on );
}

/*****************************************************************************
 * Bridge:  led
 ****************************************************************************/
void PIO_lamp( const int ee_id, const int ee_set )
{
	setup_led( ee_id, ee_set );
}


